SpriteLibrary

# SpriteDatabase
WriteToXMLString
T
Method

This is a generic function which the SpriteDatabase uses. It does XML Serialization of most anything, and generates an XML String. XML Serialization will take any public value of a public class and make an XML entry for it. It is a very convienent way to save data. You can "Deserialize" the value with the ReadFromXMLString function.

Namespace: SpriteLibrary
Assembly: SpriteLibrary (in SpriteLibrary.dll) Version: 1.0.0.5 (1.0.0.5)
Syntax
C#
Copy

    public static string WriteToXMLString<T>(
    	T toSerialize
    )

#### Parameters

toSerialize
  Type: T
  the variable you are trying to turn into XML

#### Type Parameters

T
  The type of the item that you are trying to serialize

#### Return Value

Type: String
An XML string
See Also

#### Reference

SpriteDatabase Class
SpriteLibrary Namespace